Telegram Groups
GET
/v1/deployments/{deployment_id}/telegram-groups
const url = 'https://api.cloud.agentums.ru/v1/deployments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/telegram-groups';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloud.agentums.ru/v1/deployments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/telegram-groups \ --header 'Authorization: Bearer <token>'Группы, в которых агенту разрешено отвечать.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»deployment_id
required
Deployment Id
string format: uuid
Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
TelegramGroupsOut
Где агенту разрешено отвечать. Пустой список — ни в одной группе, и это умолчание.
object
items
Items
Array<object>
TelegramGroupOutobject
chat_id
required
Chat Id
integer
title
Title
string
Example
{ "items": [ { "title": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}